## WebKitDOMDocumentFragment WebKitDOMDocumentFragment |

## Functions

WebKitDOMElement * | webkit_dom_document_fragment_query_selector ()
WebKitDOMNodeList * | webkit_dom_document_fragment_query_selector_all ()

## Types and Values

| WebKitDOMDocumentFragment

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMDocumentFragment
                    ╰── WebKitDOMShadowRoot

## Implemented Interfaces

WebKitDOMDocumentFragment implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_document_fragment_query_selector ()

    WebKitDOMElement *
    webkit_dom_document_fragment_query_selector
                                   (WebKitDOMDocumentFragment *self,
                                    const gchar *selectors,
                                    GError **error);

#### Parameters

self | A WebKitDOMDocumentFragment |
selectors | A gchar |
error | GError |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_fragment_query_selector_all ()

    WebKitDOMNodeList *
    webkit_dom_document_fragment_query_selector_all
                                   (WebKitDOMDocumentFragment *self,
                                    const gchar *selectors,
                                    GError **error);

#### Parameters

self | A WebKitDOMDocumentFragment |
selectors | A gchar |
error | GError |

#### Returns

A WebKitDOMNodeList.

[transfer none]

## Types and Values

### WebKitDOMDocumentFragment

    typedef struct _WebKitDOMDocumentFragment WebKitDOMDocumentFragment;